Skip to main content
GET
Get supported tokens

Query Parameters

ondoTokens
string

Show Ondo tokens if the query is set

Response

200 - application/json
assetId
string
required

Unique asset identifier

Example:

"nep141:wrap.near"

decimals
number
required

Number of decimals for the token

Example:

24

blockchain
enum<string>
required

Blockchain associated with the token

Available options:
near,
eth,
base,
arb,
btc,
sol,
ton,
dash,
doge,
xrp,
zec,
gnosis,
bera,
bsc,
pol,
tron,
sui,
movement,
op,
avax,
stellar,
aptos,
cardano,
ltc,
xlayer,
monad,
bch,
adi,
plasma,
scroll,
starknet,
aleo,
hypercore,
fogo
Example:

"near"

symbol
string
required

Token symbol (e.g. BTC, ETH)

Example:

"wNEAR"

price
number
required

Current price of the token in USD

Example:

"2.79"

priceUpdatedAt
string<date-time>
required

Date when the token price was last updated

Example:

"2025-03-28T12:23:00.070Z"

contractAddress
string

Contract address of the token

Example:

"wrap.near"

coingeckoId
string

CoinGecko coin id, when known. Use it to fetch price history from CoinGecko.

Example:

"wrapped-near"